%global debug_package %{nil}

Name:           setup-tool-tui-beta
Version:        2025.10.0
Release:        beta1
Summary:        A simple setup tool suite
BuildArch:      %{_target_cpu}

License:        MPL-2.0
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  libstp2
BuildRequires:  ncurses-devel
Requires:       bash
Requires:       libstp2
Requires:       pciutils
Requires:       sudo
Requires:       systemd
Requires:       wget2
Requires:       ncurses
Recommends:     fastfetch
Provides:       setup-tool-tui

%description
A simple setup program for RPM-based distros.

%prep
%setup -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/licenses/%{name}
gcc setup-tool-tui-beta.c -I/usr/lib64/libstp/2 -L/usr/lib64/libstp/2 /usr/lib64/libstp/2/libstp-c.so -lncurses -o setup-tool-tui-beta
cp setup-tool-tui-beta %{buildroot}/%{_bindir}
cp LICENSE %{buildroot}/%{_datadir}/licenses/%{name}
ln -s setup-tool-tui-beta %{buildroot}/%{_bindir}/setup-tool-tui

%files
%license %{_datadir}/licenses/%{name}/LICENSE
%{_bindir}/setup-tool-tui-beta
%{_bindir}/setup-tool-tui

%changelog
%autochangelog
